Raspbian Busterでdockerがインストールできない

スポンサーリンク
ガジェット

インストールスクリプトを走らせるとエラーが起きる

[email protected]:~ $ curl -sSL https://get.docker.com | sh
...
E: Package 'docker-ce' has no installation candidate

環境

Raspbian Busterを使っています

[email protected]:~ $ uname -a
Linux raspberrypi1 4.19.57-v7+ #1244 SMP Thu Jul 4 18:45:25 BST 2019 armv7l GNU/Linux

原因

Docker Inc. がRaspbian Busterのパッケージを後悔していないらしく、使えないっぽい

Raspbian Busterだと動かない

のでStrech入れましょう
ダウンロード先

参考

https://blog.alexellis.io/how-to-fix-docker-for-raspbian-buster/
https://github.com/moby/moby/issues/39417

コメント

タイトルとURLをコピーしました